package com.admin.major.domain;

import java.math.BigDecimal;
import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学生志愿填报情况汇总对象 summary_apply
 * 
 * @author zewei
 * @date 2022-03-30
 */
public class SummaryApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学号 */
    private String studentNo;

    /** 学生名称 */
    @Excel(name = "学生名称")
    private String studentName;

    /** 绩点 */
    @Excel(name = "绩点")
    private BigDecimal score;

    /** 排名 */
    @Excel(name = "排名")
    private Long rank;

    /** 是否特殊审批 */
    @Excel(name = "是否特殊审批")
    private Integer specialFlag;

    /** 是否填报志愿 */
    @Excel(name = "是否填报志愿")
    private Integer applyFlag;

    /** 第一志愿 */
    private String majorid1st;

    /** 第一志愿 */
    @Excel(name = "第一志愿")
    private String majorname1st;

    /** 第二志愿 */
    private String majorid2st;

    /** 第二志愿 */
    @Excel(name = "第二志愿")
    private String majorname2st;

    /** 第三志愿 */
    private String majorid3st;

    /** 第三志愿 */
    @Excel(name = "第三志愿")
    private String majorname3st;

    /** 第四志愿 */
    private String majorid4st;

    /** 第四志愿 */
    @Excel(name = "第四志愿")
    private String majorname4st;

    /** 第五志愿 */
    private String majorid5st;

    /** 第五志愿 */
    @Excel(name = "第五志愿")
    private String majorname5st;

    /** 学院id */
    @Excel(name = "学院id")
    private Long collegeId;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    public void setStudentNo(String studentNo) 
    {
        this.studentNo = studentNo;
    }

    public String getStudentNo() 
    {
        return studentNo;
    }
    public void setStudentName(String studentName) 
    {
        this.studentName = studentName;
    }

    public String getStudentName() 
    {
        return studentName;
    }
    public void setScore(BigDecimal score) 
    {
        this.score = score;
    }

    public BigDecimal getScore() 
    {
        return score;
    }
    public void setRank(Long rank) 
    {
        this.rank = rank;
    }

    public Long getRank() 
    {
        return rank;
    }
    public void setSpecialFlag(Integer specialFlag) 
    {
        this.specialFlag = specialFlag;
    }

    public Integer getSpecialFlag() 
    {
        return specialFlag;
    }

    public Integer getApplyFlag() {
        return applyFlag;
    }

    public void setApplyFlag(Integer applyFlag) {
        this.applyFlag = applyFlag;
    }

    public void setMajorid1st(String majorid1st)
    {
        this.majorid1st = majorid1st;
    }

    public String getMajorid1st() 
    {
        return majorid1st;
    }
    public void setMajorname1st(String majorname1st) 
    {
        this.majorname1st = majorname1st;
    }

    public String getMajorname1st() 
    {
        return majorname1st;
    }
    public void setMajorid2st(String majorid2st) 
    {
        this.majorid2st = majorid2st;
    }

    public String getMajorid2st() 
    {
        return majorid2st;
    }
    public void setMajorname2st(String majorname2st) 
    {
        this.majorname2st = majorname2st;
    }

    public String getMajorname2st() 
    {
        return majorname2st;
    }
    public void setMajorid3st(String majorid3st) 
    {
        this.majorid3st = majorid3st;
    }

    public String getMajorid3st() 
    {
        return majorid3st;
    }
    public void setMajorname3st(String majorname3st) 
    {
        this.majorname3st = majorname3st;
    }

    public String getMajorname3st() 
    {
        return majorname3st;
    }
    public void setMajorid4st(String majorid4st) 
    {
        this.majorid4st = majorid4st;
    }

    public String getMajorid4st() 
    {
        return majorid4st;
    }
    public void setMajorname4st(String majorname4st) 
    {
        this.majorname4st = majorname4st;
    }

    public String getMajorname4st() 
    {
        return majorname4st;
    }
    public void setMajorid5st(String majorid5st) 
    {
        this.majorid5st = majorid5st;
    }

    public String getMajorid5st() 
    {
        return majorid5st;
    }
    public void setMajorname5st(String majorname5st) 
    {
        this.majorname5st = majorname5st;
    }

    public String getMajorname5st() 
    {
        return majorname5st;
    }
    public void setCollegeId(Long collegeId) 
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId() 
    {
        return collegeId;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("studentNo", getStudentNo())
            .append("studentName", getStudentName())
            .append("score", getScore())
            .append("rank", getRank())
            .append("specialFlag", getSpecialFlag())
            .append("appplyFlag", getApplyFlag())
            .append("majorid1st", getMajorid1st())
            .append("majorname1st", getMajorname1st())
            .append("majorid2st", getMajorid2st())
            .append("majorname2st", getMajorname2st())
            .append("majorid3st", getMajorid3st())
            .append("majorname3st", getMajorname3st())
            .append("majorid4st", getMajorid4st())
            .append("majorname4st", getMajorname4st())
            .append("majorid5st", getMajorid5st())
            .append("majorname5st", getMajorname5st())
            .append("collegeId", getCollegeId())
            .append("year", getYear())
            .toString();
    }
}
